Subject: [alpine-aports] [PATCH] testing/php7-amqp: PHP7 AMQP Client

From: Fabio da Silva Ribeiro <[email-masked]>
Date: Sat, 19 Mar 2016 10:06:29 -0300

---
 testing/php7-amqp/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/php7-amqp/APKBUILD

diff --git a/testing/php7-amqp/APKBUILD b/testing/php7-amqp/APKBUILD
new file mode 100644
index 0000000..0ce9dbd
--- /dev/null
+++ b/testing/php7-amqp/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Fabio Ribeiro <[email-masked]>
+# Maintainer: Fabio Ribeiro <[email-masked]>
+pkgname=php7-amqp
+_pkgreal=amqp
+pkgver=1.7.0
+_pkgver=${pkgver}alpha2
+pkgrel=0
+pkgdesc="Communicate with any AMQP compliant server"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="x86_64 armhf"
+license="PHP"
+depends=
+pecldepends="php7-dev autoconf rabbitmq-c"
+makedepends="$pecldepends"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
+
+build() {
+	cd "$_builddir"
+	phpize7 || return 1
+	./configure --prefix=/usr --with-php-config=php-config7 || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php7/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php7/conf.d/$_pkgreal.ini
+}
+
+md5sums="bdd4a68f3a1f21091cc7e67c13cb1a64  amqp-1.7.0alpha2.tgz"
+sha256sums="ce61a679b2899aadfe2f57b7d03b8e8350d29071350df0b141ce85bf20f7c607  amqp-1.7.0alpha2.tgz"
+sha512sums="601e88e4f62b651cde89b3fa792e419362b8cf307623e76763b220c8b81091e8f9073b95365305a730bae4932df7a0639eb02b9e9679d28a39f52278403001b4  amqp-1.7.0alpha2.tgz"
-- 
2.1.4

-- 
***

Esta mensagem, incluindo seus anexos, pode conter informações confidenciais 
e/ou privilegiadas. Se você não for a pessoa autorizada a receber esta 
mensagem, não pode usar, copiar ou divulgar as informações nela contidas ou 
tomar qualquer ação baseada nessas informações. Caso esta mensagem tenha 
sido recebida por engano, por favor avise imediatamente o remetente, 
respondendo o e-mail e em seguida elimine-a do seu sistema. Agradecemos sua 
cooperação.

This message, including any attachments, may contain confidential and/or 
privileged information. If you are not the addressee or authorized to 
receive this for the addressee, you must not use, copy, disclose or take 
any action based on this message or any information herein. If you have 
received this message in error, please advise the sender immediately by 
reply e-mail and delete this message.Thank you for your cooperation

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---